package router

import (
	"github.com/gin-gonic/gin"
)

func RegisterVersion(group *gin.RouterGroup, h *Version) {
	router := group.Group("/sysVersion")
	router.DELETE("/deleteSysVersion", h.Delete)
	router.DELETE("/deleteSysVersionByIds", h.DeleteMany)
	router.GET("/findSysVersion", h.Find)
	router.GET("/getSysVersionList", h.List)
	router.POST("/exportVersion", h.Export)
	router.GET("/downloadVersionJson", h.Download)
	router.POST("/importVersion", h.Import)
}
